ecatools(1)

NAME
ecatools - audio processing utils based on ecasound

SYNOPSIS
ecaconvert .extension file1 [ file2,...,fileN ]

ecafixdc file1 [ file2,...,fileN ]

ecalength file1 [ file2,...,fileN ]

ecamonitor [host][:port]

ecanormalize file1 [ file2,...,fileN ]

ecaplay [-dhk] file1 [ file2,...,fileN ]

ecasignalview [ options ] [ input ] [ output ]

DESCRIPTION

Ecatools are simple command line utils that do various audio processing tasks. Most of them support batch processing. They all use ecasound to do the actual audio processing work.

ECACONVERT

A tool for converting a set of files to a common target format. This target format is given as the first command line argument, and its syntax is .ext.

ECAFIXDC

A simple command-line tool for fixing DC-offset.

ECALENGTH

See the separate ecalength(1) man page.

ECAMONITOR

Ecamonitor is a util program that can be used to monitor an active ecasound session. Ecamonitor is able to show information about the current chainsetup such as list of inputs, outputs, current position, effects, the engine status and numerous other things.

By default ecamonitor will try to connect to IP4 address "localhost", to port "2868". A different address can be specified when starting ecamonitor, for example "ecamonitor foo.mynetwork.com" or "ecamonitor foo.mynetwork.com:4500".

To enable inbound connections, ecasound has to be started with the --daemon option. Ecamonitor is implemented in Python using the NetECI API.

ECANORMALIZE

A simple command-line tool for normalizing sample volume. Finds out how much input file can be amplified without clipping and, if necessary, does the amplification.

ECAPLAY

Command-line tool that plays input files using the default output specified in ~/.ecasoundrc. Note! You can abort ecaplay at any time by pressing Ctrl-C. If you are playing multiple files, this will stop the current file and begin playing the next one. If you want to abort playing immediately instead of skipping to the next file, press Ctrl-C twice in short succession (around one second).

-d:debuglevel
    Set libecasound debug level. See ecasound(1).

-h  Print usage information and exit.

-k:number
    Skip 'number' of files.

-o:output_device
    Use 'output_device' instead of the default output device (as specified in ~/.ecasoundrc.

ECASIGNALVIEW

Ecasignalview is meant for monitoring signal amplitude and peak statistics. It accepts the following options:

input
    The first option not starting with a '-' is interpreted as input string. This can be a device or a filename. All formats supported by libecasound are accepted. Defaults to '/dev/dsp'.

output
    Similarly to input, second option not starting with a '-' is interpreted as output. Defaults to 'null'.

-b:buffersize
    Buffersize in sample frames. Defaults to 128.

-c  Enable cumulative mode. Counters are not reseted after refresh. *deprecated*

-d  Enable debug mode.

-f:format_string
    Specify default audio format. See ecasound(1) for details.

-r:rate_msec
    Specify screen refresh rate in milliseconds.

More complete documentation for ecasignalview can be found from "Ecasound User's Guide" (see ''http://www.eca.cx/ecasound -> Documentation'').

ENVIRONMENT

ECASOUND Path to the ecasound executable. Affects most ecatools.

FILES

~/.ecasound/ecasoundrc The default ecasound resource file. See ecasoundrc(5) for details.

SEE ALSO

ecasound (1), ecalength(1), "HTML docs in the Documentation subdirectory"

AUTHOR

Kai Vehmanen, <kai.vehmanen@wakkanet.fi>